Skip to main content
PUT
/
api
/
consumers
/
{id}
Update consumer
curl --request PUT \
  --url https://app.vaultgraph.com/api/consumers/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "linked_consumer_org_id": "<string>",
    "linked_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Body

application/json

Request payload for updating an existing consumer.

name
string
required

Updated human-readable name of the consumer.

description
string | null

Updated description of the consumer.

Response

Consumer updated

data
object

Representation of a consumer in the VaultGraph portal.